Upload a listing image (PNG/JPEG/WebP, ≤ 2 MiB, ≤ 4096×4096); served at /v1/assets/{sha256}
POST
/v1/developers/assets
const url = 'https://testnet-rpc.necter.network/v1/developers/assets';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"content_type":"image/png","data_b64":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://testnet-rpc.necter.network/v1/developers/assets \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "content_type": "image/png", "data_b64": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
content_type
required
string
data_b64
required
string
Responses
Section titled “Responses”Stored
Media typeapplication/json
object
sha256
required
string
url
required
string format: uri
Example generated
{ "sha256": "example", "url": "https://example.com"}Malformed request (bad_request, invalid_field)
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}too_large
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}